<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.salpa.subject.mapper.DocumentTemplatePropertyMapper">

    <resultMap type="com.salpa.subject.domain.MonitorDocumentTemplateProperty" id="MonitorDocumentTemplateProperty">
        <id     property="id"            column="id"             />
        <id     property="key"            column="pro_key"             />
        <result property="value"          column="pro_value"           />
        <result property="type"   column="type"    />
        <result property="defaultValue"              column="default_value"                />
        <result property="createAt"             column="create_at"              />
    </resultMap>

    <select id="selectAll" resultMap="MonitorDocumentTemplateProperty">
        SELECT id,pro_key,pro_value,default_value,type,create_at
        FROM monitor_document_template_property
    </select>
</mapper>